Page MenuHomePhabricator

Write a specification for the architecture for handling slots
Closed, ResolvedPublic

Description

This should include documenting the following as discussed at the Wikimedia Hackathon 2018:

  • RevisionRendererService, RevisionRendering, SlotRoleHandler
  • SlotRoleRegistry
    • defineRole( $role, $callback )
    • getHandler( SlotRec $slot )
    • getDefaultHandler( $title, $role )
    • getDefaultRolesForTitle( $title )

Specs:

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Opendaniel
Resolveddaniel
Resolveddaniel

Event Timeline

CCicalese_WMF triaged this task as Medium priority.May 30 2018, 3:08 PM
CCicalese_WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 3:08 PM
CCicalese_WMF closed this task as Resolved.Jun 18 2018, 3:07 AM
Vvjjkkii renamed this task from Write a specification for the architecture for handling slots to fzbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed daniel as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from fzbaaaaaaa to Write a specification for the architecture for handling slots.Jul 2 2018, 2:28 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to daniel.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.